<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <OutputType>WinExe</OutputType>
    <TargetFramework>net9.0-windows7.0</TargetFramework>
    <UseWindowsForms>true</UseWindowsForms>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="System.ServiceModel.Primitives" Version="4.8.1" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="Opc.Ua.Bindings.Https">
      <HintPath>OPC依赖项\Opc.Ua.Bindings.Https.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Client">
      <HintPath>OPC依赖项\Opc.Ua.Client.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Configuration">
      <HintPath>OPC依赖项\Opc.Ua.Configuration.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Core">
      <HintPath>OPC依赖项\Opc.Ua.Core.dll</HintPath>
    </Reference>
    <Reference Include="Opc.Ua.Security.Certificates">
      <HintPath>OPC依赖项\Opc.Ua.Security.Certificates.dll</HintPath>
    </Reference>
  </ItemGroup>

  <ItemGroup>
    <None Update="48.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
    <None Update="Treasure.OPCUAClient.Config.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>

</Project>